Subject: Installtool "fileCreateMask" and "folderCreateMask" on first install wizard screen
Description

Problem
If you install TYPO3 from scratch with installwizard and have different file and foldermask on your server as mandatory against the
builtin ones (e.g. server has suphp) the installation get stuck at a very early stage.

Solution
Bring those to fields to the wizard at the point where the first time the db settings are made. So we can avoid any issues with the
masks.

Related issues:
related to Core - Bug # 49715: Folder structure honors file / folderCreateMask Resolved 2013-07-05

History
#1 - 2014-03-12 17:46 - Robert Vock

When installing on my Dev-Machine under OS X, the Install-Tool breaks because it generates files/folders which are not accessible by the webserver:
drwxrws---  14 rvock  staff   476B 12 Mär 17:12 typo3temp

Using the old default 0755 (or a stricter 0750) works for me. But this is definitly a breaking change for many servers and there was no Info in the
News-Posts about the Betas.

Note: Using php-fpm which runs as another user as Apache.

#2 - 2015-03-24 11:50 - Markus Klein
- Status changed from New to Needs Feedback
- Target version deleted (6.2.0)

Is this still an issue?
If so, can you provide a patch?

#3 - 2015-06-30 16:49 - Alexander Opitz
- Status changed from Needs Feedback to Closed

No feedback within the last 90 days => closing this issue.
If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and
an explanation or open a new ticket and add a relation to this ticket number.
